Skip to main content
GET
/
orgs
/
{org_id}
/
files
List files
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "file",
      "encrypted": true,
      "name": "<string>",
      "name_enc": {},
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "record_type": "<string>",
      "record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "share_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required

Query Parameters

type
enum<string>
Available options:
file,
folder
q
string

Case-insensitive name substring.

parent_id
string<uuid>
root_only
boolean
visibility
enum<string>
Available options:
org,
restricted
record_id
string<uuid>
created_after
string
created_before
string
updated_after
string
updated_before
string
sort
enum<string>
Available options:
name_asc,
name_desc,
updated_at_asc,
updated_at_desc,
created_at_asc,
created_at_desc,
date_asc,
date_desc
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string

Response

200 - application/json

File page.

items
object[]
required
next_cursor
string | null
Last modified on June 29, 2026